For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • GETList assets
      • POSTCreate a new asset
      • POSTCreate Project
      • GETGet asset by ID
      • POSTArchive an asset
Logo
LoginBook a Demo
API ReferenceAssets

Archive an asset

Beta
POST
https://api.athenaintel.com/api/v0/assets/:asset_id/archive
POST
/api/v0/assets/:asset_id/archive
$curl -X POST https://api.athenaintel.com/api/v0/assets/asset_id/archive \
> -H "X-API-KEY: <apiKey>"
1{
2 "archived": true,
3 "id": "asset_92492920-d118-42d3-95b4-00eccfe0754f",
4 "title": "Old Test Spreadsheet"
5}

Archive an asset by its ID. The asset will be hidden from active listings (e.g. GET /assets with default filters) but can still be retrieved directly by ID. For folders, all children are also archived recursively. For meetings, associated sub-assets (recordings, transcripts) are archived as well. Only the creator of the asset can archive it.

Was this page helpful?
Previous

Check database status

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired

Response

Asset successfully archived
archivedboolean

Whether the asset was successfully archived (always true on success)

idstring
Unique identifier of the archived asset
titlestring
Title of the archived asset

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error